%{!?perl_vendorlib:  %define perl_vendorlib  %(eval "`%{__perl} -V:installvendorlib`" ; echo $installvendorlib)}
%{!?perl_vendorarch: %define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)}
%{!?perl_version:    %define perl_version    %(eval "`%{__perl} -V:version`"          ; echo $version)}

%define sel_modn  selinux-policy-addon
%define sel_modv  0.2.0


Summary:          Bacula - The Network Backup Solution
Name:             bacula
Version:          2.4.4
Release:          1%{?dist}%{?pext}
License:          GPL
Group:            System Environment/Base
Source0:          http://prdownloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
Source1:          http://prdownloads.sourceforge.net/sourceforge/%{name}/%{name}-docs-%{version}.tar.bz2
Source2:          http://prdownloads.sourceforge.net/sourceforge/%{name}/%{name}-gui-%{version}.tar.gz
Source3:          http://prdownloads.sourceforge.net/sourceforge/%{name}/%{name}-rescue-%{version}.tar.gz
Source10:         %{name}-dir.init
Source11:         %{name}-sd.init
Source12:         %{name}-fd.init
Source15:         %{name}-dir.sysconfig
Source16:         %{name}-sd.sysconfig
Source17:         %{name}-fd.sysconfig
Source20:         %{name}-bimagemgr.conf
Source21:         %{name}-bweb.conf
Source22:         %{name}-web.conf
#Patch0:          http://prdownloads.sourceforge.net/sourceforge/%{name}/%{version}-cancel-after-network-outage.patch
#Patch1:          http://prdownloads.sourceforge.net/sourceforge/%{name}/%{version}-orphaned-jobs.patch
#Patch2:          http://prdownloads.sourceforge.net/sourceforge/%{name}/%{version}-update-slots.patch
Patch10:          %{name}-2.4.3-build.patch
Patch11:          %{name}-2.2.6-paths.patch
Patch12:          %{name}-2.2.5-install.patch
Patch13:          %{name}-2.2.5-cats.patch
Patch14:          %{name}-2.0.3-wxwin28.patch
Patch15:          %{name}-gui-2.2.8-config.patch
Patch16:          %{name}-gui-2.4.3-install.patch
Patch17:          %{name}-rescue-2.2.6-build.patch
URL:              http://www.%{name}.org/
Buildroot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:           The Bacula Team
Requires(pre):    /usr/sbin/groupadd /usr/sbin/useradd
Requires(post):   openssl
BuildRequires:    cdrecord gettext httpd mkisofs mtx pkgconfig
BuildRequires:    tcp_wrappers tetex-latex autoconf >= 2.59
BuildRequires:    libacl-devel libstdc++-devel libtermcap-devel
BuildRequires:    mysql-devel postgresql-devel sqlite-devel
BuildRequires:    openssl-devel python-devel readline-devel
BuildRequires:    libxml2-devel zlib-devel wxwin-devel-unicode
BuildRequires:    atk-devel glib2-devel gtk2-devel pango-devel
BuildRequires:    libgnome-devel libgnomeui-devel qwt51-devel
BuildRequires:    latex2html perl(DBI) perl(GD::Graph) perl(GD)
BuildRequires:    perl(HTML::Template) perl(CGI) perl(Expect)
BuildRequires:    perl(Time::ParseDate)

%description
Bacula is a set of computer programs that permit you to manage backup,
recovery and verification of computer data across a network of computers
of different kinds. In technical terms, it is a network client/server
based backup program. Bacula is relatively easy to use and efficient,
while offering many advanced storage management features that make it
easy to find and recover lost or damaged files.

This package contains common files required for all packages.


%package          client
Summary:          The Bacula backup client
Group:            System Environment/Daemons
Requires:         %{name} = %{version}-%{release}
Requires:         gdb mkisofs
Requires(post):   /sbin/chkconfig
Requires(preun):  /sbin/chkconfig /sbin/service
Requires(postun): /sbin/service

%description      client
This package contains the Bacula File service (also known as the Client
program) which is the software program that is installed on the machine
to be backed up. It is specific to the operating system on which it runs
and is responsible for providing file attributes and data when requested
by the Director. The File services are also responsible for the file
system dependent part of restoring the file attributes and data during
a recovery operation.


%package          console
Summary:          The Bacula command console
Group:            Applications/System
Requires:         %{name} = %{version}-%{release}

%description      console
This package contains the Bacula Console service, which is the program
that allows the administrator or user to communicate with the Bacula
Director. It provides a text-based console interface.


%package          doc
Summary:          The Bacula documentation
Group:            Documentation

%description      doc
This package contains the complete Bacula documentation in HTML format.


%package          gui-bat
Summary:          The Bacula Administration Tool
Group:            Applications/System
Requires:         %{name} = %{version}-%{release}
Requires:         qwt51 urw-fonts usermode

%description      gui-bat
This package contains the Bacula Console service, which is the program
that allows the administrator or user to communicate with the Bacula
Director. Bat is short for Bacula Administration Tool. It provides a
GUI for bconsole, but with many additional features. Although it is
still work in progress, at this point it has more features than both
bwx-console and the bgnome-console, and over time many more features
will be added, eg. the functionality of the tray-monitor as well as
the reporting capabilities of bweb.


%package          gui-bimagemgr
Summary:          The Bacula bimagemgr utility
Group:            Applications/Internet
Requires:         %{name} = %{version}-%{release}
Requires:         cdrecord httpd mkisofs

%description      gui-bimagemgr
This package contains bimagemgr, an utility to manage backups made to
files intended for burning to CD-R disk. bimagemgr allows you to easily
see which Volumes have been written to more recently than they have been
recorded to CD-R disk and record those which have.


%package          gui-bimagemgr-selinux
Summary:          SELinux support for %{name}-gui-bimagemgr
Group:            System Environment/Base
Requires:         %{name}-gui-bimagemgr = %{version}-%{release}
Requires:         %{sel_modn} >= %{sel_modv}
Requires(post):   /sbin/restorecon %{_sbindir}/selinuxenabled /sbin/fixfiles

%description      gui-bimagemgr-selinux
This package enables %{name}-gui-bimagemgr to work with SELinux.


%package          gui-brestore
Summary:          The Bacula brestore utility
Group:            Applications/Internet
Requires:         %{name}-console = %{version}-%{release}

%description      gui-brestore
This package contains brestore, a graphical file restoration interface.


%package          gui-bweb
Summary:          The Bacula bweb utility
Group:            Applications/Internet
Requires:         %{name} = %{version}-%{release}
Requires:         bitstream-vera-fonts httpd
Requires:         perl(:MODULE_COMPAT_%{perl_version})

%description      gui-bweb
This package contains bweb, a web based interface for Bacula servers.


%package          gui-bweb-selinux
Summary:          SELinux support for %{name}-gui-bweb
Group:            System Environment/Base
Requires:         %{name}-gui-bweb = %{version}-%{release}
Requires:         %{sel_modn} >= %{sel_modv}
Requires(post):   /sbin/restorecon %{_sbindir}/selinuxenabled /sbin/fixfiles

%description      gui-bweb-selinux
This package enables %{name}-gui-bweb to work with SELinux.


%package          gui-gconsole
Summary:          The Bacula GNOME console
Group:            Applications/System
Requires:         %{name} = %{version}-%{release}
Requires:         urw-fonts usermode

%description      gui-gconsole
This package contains the Bacula Console service, which is the program
that allows the administrator or user to communicate with the Bacula
Director. It provides a GNOME 2.x GUI interface that is far from complete,
but quite functional as it has most the capabilities of the shell Console.


%package          gui-monitor
Summary:          The Bacula tray monitor
Group:            Applications/System
Requires:         %{name} = %{version}-%{release}

%description      gui-monitor
This package contains the Bacula Monitor service which is the program that
allows the administrator or user to watch current status of Bacula Directors
(DIR), Bacula File Daemons (FD) and Bacula Storage Daemons (SD). Currently,
only a GTK+ version is available, which works with Gnome, KDE, or any window
manager that supports the FreeDesktop.org system tray standard.


%package          gui-web
Summary:          The Bacula web utility
Group:            Applications/Internet
Requires:         httpd php-gd php-gettext php-session php-pear(DB)

%description      gui-web
This package contains %{name}-web, a web server based utility to monitor
your Bacula server.


%package          gui-wxconsole
Summary:          The Bacula wxWidgets console
Group:            Applications/System
Requires:         %{name} = %{version}-%{release}
Requires:         urw-fonts usermode

%description      gui-wxconsole
This package contains the Bacula Console service, which is the program that
allows the administrator or user to communicate with the Bacula Director.
It provides a wxWidgets GUI with an interactive file restore. It also has
most of the capabilities of the shell console, allows command completion
with tabulation, and gives you instant help about the command you are typing.


%package          server-sqlite
Summary:          The Bacula server for SQLite backends
Group:            System Environment/Daemons
Requires:         %{name} = %{version}-%{release}
Requires:         gdb
Requires(post):   /sbin/chkconfig %{_sbindir}/alternatives
Requires(preun):  /sbin/chkconfig /sbin/service %{_sbindir}/alternatives
Requires(postun): /sbin/service
Conflicts:        %{name}-server-mysql %{name}-server-postgresql

%description      server-sqlite
This package contains the Bacula server daemons which use SQLite as database
backend for the Catalog service.

The Bacula Director service is the program that supervises all the backup,
restore, verify and archive operations. The system administrator uses the
Bacula Director to schedule backups and to recover files. The Director runs
as a daemon in the background.

The Bacula Storage services consist of the software programs that perform
the storage and recovery of the file attributes and data to the physical
backup media or volumes. In other words, the Storage daemon is responsible
for reading and writing your tapes (or other storage media, e.g. files). It
runs as a daemon on the machine that has the backup device (usually a tape
drive).


%package          server-mysql
Summary:          The Bacula server for MySQL backends
Group:            System Environment/Daemons
Requires:         %{name} = %{version}-%{release}
Requires:         gdb
Requires(post):   /sbin/chkconfig %{_sbindir}/alternatives
Requires(preun):  /sbin/chkconfig /sbin/service %{_sbindir}/alternatives
Requires(postun): /sbin/service
Conflicts:        %{name}-server-sqlite %{name}-server-postgresql

%description      server-mysql
This package contains the Bacula server daemons which use MySQL as database
backend for the Catalog service.

The Bacula Director service is the program that supervises all the backup,
restore, verify and archive operations. The system administrator uses the
Bacula Director to schedule backups and to recover files. The Director runs
as a daemon in the background.

The Bacula Storage services consist of the software programs that perform
the storage and recovery of the file attributes and data to the physical
backup media or volumes. In other words, the Storage daemon is responsible
for reading and writing your tapes (or other storage media, e.g. files). It
runs as a daemon on the machine that has the backup device (usually a tape
drive).


%package          server-postgresql
Summary:          The Bacula server for PostgreSQL backends
Group:            System Environment/Daemons
Requires:         %{name} = %{version}-%{release}
Requires:         gdb
Requires(post):   /sbin/chkconfig %{_sbindir}/alternatives
Requires(preun):  /sbin/chkconfig /sbin/service %{_sbindir}/alternatives
Requires(postun): /sbin/service
Conflicts:        %{name}-server-sqlite %{name}-server-mysql

%description      server-postgresql
This package contains the Bacula server daemons which use PostgreSQL as a
database backend for the Catalog service.

The Bacula Director service is the program that supervises all the backup,
restore, verify and archive operations. The system administrator uses the
Bacula Director to schedule backups and to recover files. The Director runs
as a daemon in the background.

The Bacula Storage services consist of the software programs that perform
the storage and recovery of the file attributes and data to the physical
backup media or volumes. In other words, the Storage daemon is responsible
for reading and writing your tapes (or other storage media, e.g. files). It
runs as a daemon on the machine that has the backup device (usually a tape
drive).


%prep
%setup -q -a 1 -a 2 -a 3

# Upstream patches
#%patch0 -p0
#%patch1 -p0
#%patch2 -p0

# Local patches
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1

pushd %{name}-gui-%{version}
%patch15 -p0
%patch16 -p0
popd

pushd %{name}-rescue-%{version}
%patch17 -p0
popd

# Contrib patches
%{__patch} -p1 < patches/testing/clientrunbeforejob_can_generate_include_exclude_list.patch
%{__patch} -p0 < patches/testing/maxschedruntime.patch

# Rebuild autotools
pushd autoconf
%{__autoconf}
popd

%{__mv} -f autoconf/configure .

# Fix permissions
%{__chmod} 0644 %{name}-rescue-%{version}/Makefile.in

pushd examples
find -type f -name "*.pl" -exec %{__chmod} a-x {} \;
%{__chmod} a-x afs-%{name} reports/checkhost
popd

# Cleanup
find -type f -name "*.orig" -exec %{__rm} -f {} \;


%build
BuildApp() {
  %configure \
	CFLAGS="${CFLAGS} -DOPENSSL_NO_KRB5"             \
	CPPFLAGS="${CPPFLAGS} -DOPENSSL_NO_KRB5"         \
	--sbindir=%{_bindir}                             \
	--sysconfdir=%{_sysconfdir}/%{name}              \
	--with-scriptdir=%{_sysconfdir}/%{name}/scripts  \
	--with-archivedir=/tmp                           \
	--enable-bat                                     \
	--enable-gnome                                   \
	--enable-tray-monitor                            \
	--enable-bwx-console                             \
	--enable-ipv6                                    \
	--enable-batch-insert                            \
	--with-python                                    \
	--with-readline                                  \
	--with-tcp-wrappers                              \
	--with-dir-user=%{name}                          \
	--with-dir-group=%{name}                         \
	--with-sd-user=%{name}                           \
	--with-sd-group=disk                             \
	--with-fd-user=root                              \
	--with-fd-group=%{name}                          \
	--with-working-dir=%{_localstatedir}/lib/%{name} \
	--with-dir-password="XXX_DIR_PASS_XXX"           \
	--with-fd-password="XXX_FD_PASS_XXX"             \
	--with-sd-password="XXX_SD_PASS_XXX"             \
	--with-mon-dir-password="XXX_DIR_MON_PASS_XXX"   \
	--with-mon-fd-password="XXX_FD_MON_PASS_XXX"     \
	--with-mon-sd-password="XXX_SD_MON_PASS_XXX"     \
	${1}

  %{__make} %{?_smp_mflags}

  if [ -n "${2}" ]; then
    for FILE in src/dird/%{name}-dir src/stored/bcopy src/stored/bscan src/tools/dbcheck; do
      %{__cp} -f ${FILE} ${FILE}-${2}
    done
  fi
}

# static-fd: static linking against OpenSSL isn't possible anymore!
#            libssl.a -> keyutils.a (dropped by upstream)
BuildApp "--enable-static-fd --enable-client-only"

BuildApp "--with-openssl --with-sqlite3"     "sqlite"
BuildApp "--with-openssl --with-mysql"       "mysql"
BuildApp "--with-openssl --with-postgresql"  "pgsql"

# Build extra GUI's
pushd %{name}-gui-%{version}
%configure \
	--sysconfdir=%{_sysconfdir}/%{name}                           \
	--with-bacula=`pwd`/..                                        \
	--with-bimagemgr-cgidir=%{_datadir}/%{name}/bimagemgr/cgi-bin \
	--with-bimagemgr-docdir=%{_datadir}/%{name}/bimagemgr/html

pushd bweb
%{__perl} \
	Makefile.PL \
	INSTALLDIRS="vendor"

%{__make} %{?_smp_mflags}
popd
popd

# Build rescue files
pushd %{name}-rescue-%{version}
%configure \
	--sysconfdir=%{_sysconfdir}/%{name}/rescue \
	--with-bacula=`pwd`/..
popd

# Build documentation
pushd %{name}-docs-%{version}
%configure \
	--sysconfdir=%{_sysconfdir}/%{name} \
	--with-bacula=`pwd`/..

%{__make} -C manual web

%{__rm} -f manual/%{name}/image*
%{__rm} -f manual/%{name}/*.eps
%{__rm} -f manual/%{name}/WARNINGS
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_initrddir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{%{name}/{rescue,updatedb},sysconfig,logrotate.d}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/{scripts/services,conf/{logfiles,services}}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/{httpd/conf.d,pam.d,security/console.apps}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sbindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/{applications,pixmaps}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/{brestore,bweb/tpl}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_datadir}/%{name}/{%{name}-web,bimagemgr,bweb}/{cgi-bin,html}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/{lib,log}/%{name}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/cache/{bimagemgr,bweb}

%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__mv}      -f      ${RPM_BUILD_ROOT}%{_bindir}/bat   ${RPM_BUILD_ROOT}%{_bindir}/bqt-console
%{__mv}      -f      ${RPM_BUILD_ROOT}%{_bindir}/%{name}-{fd,sd} ${RPM_BUILD_ROOT}%{_sbindir}

%{__install} -m 0755 src/stored/{bcopy-*,bscan-*}      ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0755 src/tools/{dbcheck-*,*type}       ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0755 src/tools/{testfind,testls}       ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0755 src/dird/%{name}-dir-*            ${RPM_BUILD_ROOT}%{_sbindir}

%{__rm}      -f      ${RPM_BUILD_ROOT}%{_bindir}/{%{name}-dir,bcopy,bscan,dbcheck}

%{__install} -m 0755 %{SOURCE10}       ${RPM_BUILD_ROOT}%{_initrddir}/%{name}-dir
%{__install} -m 0755 %{SOURCE11}       ${RPM_BUILD_ROOT}%{_initrddir}/%{name}-sd
%{__install} -m 0755 %{SOURCE12}       ${RPM_BUILD_ROOT}%{_initrddir}/%{name}-fd

%{__install} -m 0644 %{SOURCE15}       ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}-dir
%{__install} -m 0644 %{SOURCE16}       ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}-sd
%{__install} -m 0644 %{SOURCE17}       ${RPM_BUILD_ROOT}%{_sysconfdir}/sysconfig/%{name}-fd

%{__install} -m 0644 scripts/logrotate ${RPM_BUILD_ROOT}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -m 0644 scripts/m*.bacula ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/scripts/magic

%{__cp}      -prd    examples          ${RPM_BUILD_ROOT}%{_datadir}/%{name}

touch                ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/support.pkg
touch                ${RPM_BUILD_ROOT}%{_localstatedir}/cache/bimagemgr/temp.html

%{__rm}      -f      ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/scripts/{%{name},%{name}-ctl*,[bg]console}
%{__rm}      -f      ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/scripts/{start,stop}mysql

# Install DB update scripts
%{__install} -m 0644 updatedb/README   ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/updatedb
%{__install} -m 0755 updatedb/update_{sqlite3,mysql,postgresql}_* \
	${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/updatedb

# Install logwatch addons
%{__install} -m 0755 scripts/logwatch/%{name}                     \
	${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/scripts/services
%{__install} -m 0644 scripts/logwatch/logfile.%{name}.conf        \
	${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/conf/logfiles/%{name}.conf
%{__install} -m 0644 scripts/logwatch/services.%{name}.conf \
	${RPM_BUILD_ROOT}%{_sysconfdir}/log.d/conf/services/%{name}.conf

# Install GUI addons
%{__install} -m 0644 src/qt-console/images/bat_icon.png \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps
%{__install} -m 0644 scripts/bat.desktop.consolehelper \
	${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}-bat.desktop
%{__install} -m 0644 scripts/bat.pamd \
	${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/bat
%{__install} -m 0644 scripts/bat.console_apps \
	${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/bat
%{__ln_s}            consolehelper     ${RPM_BUILD_ROOT}%{_bindir}/bat

%{__install} -m 0644 scripts/%{name}.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps
%{__install} -m 0644 scripts/%{name}.desktop.gnome2.consolehelper \
	${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}-gnome.desktop
%{__install} -m 0644 scripts/bgnome-console.pamd                  \
	${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/bgconsole
%{__install} -m 0644 scripts/bgnome-console.console_apps          \
	${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/bgconsole
%{__ln_s}            consolehelper     ${RPM_BUILD_ROOT}%{_bindir}/bgconsole

%{__install} -m 0644 src/tray-monitor/generic.xpm                 \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}-tray-monitor.xpm
%{__install} -m 0644 scripts/%{name}-tray-monitor.desktop         \
	${RPM_BUILD_ROOT}%{_datadir}/applications

%{__install} -m 0644 src/wx-console/wxwin16x16.xpm                \
	${RPM_BUILD_ROOT}%{_datadir}/pixmaps
%{__install} -m 0644 scripts/wxconsole.desktop.consolehelper      \
	${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}-wxconsole.desktop
%{__install} -m 0644 scripts/wxconsole.pamd                       \
	${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/bwxconsole
%{__install} -m 0644 scripts/wxconsole.console_apps               \
	${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/bwxconsole
%{__ln_s}            consolehelper     ${RPM_BUILD_ROOT}%{_bindir}/bwxconsole

pushd %{name}-gui-%{version}
pushd bimagemgr
%{__make} \
	DESTDIR=${RPM_BUILD_ROOT} \
	install

%{__install} -m 0640 %{SOURCE20}       ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d

%{__ln_s}    -f      %{_localstatedir}/cache/bimagemgr/temp.html \
	${RPM_BUILD_ROOT}%{_datadir}/%{name}/bimagemgr/html
popd

pushd brestore
%{__install} -m 0755 brestore.pl       ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0644 brestore*.glade   ${RPM_BUILD_ROOT}%{_datadir}/%{name}/brestore
%{__install} -m 0644 brestore.png      ${RPM_BUILD_ROOT}%{_datadir}/pixmaps

%{__install} -m 0644 brestore.desktop.consolehelper \
        ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}-restore.desktop
%{__install} -m 0644 brestore.console_apps \
        ${RPM_BUILD_ROOT}%{_sysconfdir}/security/console.apps/brestore

%{__install} -m 0644 brestore.pamd     ${RPM_BUILD_ROOT}%{_sysconfdir}/pam.d/brestore

%{__ln_s}            consolehelper     ${RPM_BUILD_ROOT}%{_bindir}/brestore
popd

pushd bweb
%{__make} \
	PERL_INSTALL_ROOT=${RPM_BUILD_ROOT} \
	pure_install

find ${RPM_BUILD_ROOT} -type f -name ".packlist" -exec %{__rm} -f {} \;

%{__install} -m 0644 html/*            ${RPM_BUILD_ROOT}%{_datadir}/%{name}/bweb/html
%{__install} -m 0755 cgi/*             ${RPM_BUILD_ROOT}%{_datadir}/%{name}/bweb/cgi-bin
%{__install} -m 0644 tpl/*             ${RPM_BUILD_ROOT}%{_datadir}/%{name}/bweb/tpl

%{__install} -m 0644 bweb.conf         ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}
%{__install} -m 0644 script/bweb-postgresql.sql \
	${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/scripts

%{__install} -m 0640 %{SOURCE21}       ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
popd

pushd %{name}-web
%{__cp}      -pr     *                 ${RPM_BUILD_ROOT}%{_datadir}/%{name}/%{name}-web/html
%{__install} -m 0640 %{SOURCE22}       ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
popd
popd

# Install rescue files
pushd %{name}-rescue-%{version}
%{__cp}      -p      {Makefile*,README,version.h} \
	${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/rescue
%{__cp}      -pr     linux             ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/rescue
touch   ${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/rescue/linux/cdrom/rpm_release

%{__mv}              ${RPM_BUILD_ROOT}%{_bindir}/static-%{name}-fd \
	${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/rescue/linux/cdrom/%{name}/bin/%{name}-fd

%{__ln_s}    -f      %{_sysconfdir}/%{name}/%{name}-fd.conf \
	${RPM_BUILD_ROOT}%{_sysconfdir}/%{name}/rescue/linux/cdrom/%{name}/bin/%{name}-fd.conf
popd


%pre
if ! getent group  %{name} >/dev/null 2>&1; then
  /usr/sbin/groupadd -r %{name}
fi
if ! getent passwd %{name} >/dev/null 2>&1; then
  /usr/sbin/useradd  -g %{name} -G %{name},disk \
	-d %{_localstatedir}/lib/%{name}        \
	-c "Bacula Service user"                \
	-r -s /sbin/nologin %{name}
fi
exit 0			# Always pass


%post
[ -f %{_sysconfdir}/%{name}/support.pkg ] || {
  touch                %{_sysconfdir}/%{name}/support.pkg
  %{__chown} root:root %{_sysconfdir}/%{name}/support.pkg
  %{__chmod} 0600      %{_sysconfdir}/%{name}/support.pkg

  HOSTNAME="`uname -n | cut -d. -f1`"
  echo "HOSTNAME=${HOSTNAME}"    >>%{_sysconfdir}/%{name}/support.pkg

  for STRING in DIR_PASS FD_PASS SD_PASS DIR_MON_PASS FD_MON_PASS SD_MON_PASS; do
    PASSWORD="`openssl rand -base64 36`"
    echo "${STRING}=${PASSWORD}" >>%{_sysconfdir}/%{name}/support.pkg
  done
}

%post client
# Update config
for STRING in HOSTNAME FD_PASS FD_MON_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/%{name}-fd.conf
  fi
done

/sbin/chkconfig --add %{name}-fd

%post console
# Update config
for STRING in HOSTNAME DIR_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/bconsole.conf
  fi
done

%post gui-bat
# Update config
for STRING in HOSTNAME DIR_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/bat.conf
  fi
done

%post gui-bimagemgr
usermod -G %{name} apache

%post gui-bimagemgr-selinux
if /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
  /sbin/fixfiles   -R %{name}-gui-bimagemgr restore
  /sbin/restorecon -R %{_localstatedir}/cache/bimagemgr
fi

%post gui-bweb
usermod -G %{name} apache

%post gui-bweb-selinux
if /usr/sbin/selinuxenabled && [ -e /selinux/policyvers ]; then
  /sbin/fixfiles   -R %{name}-gui-bweb restore
  /sbin/restorecon -R %{_localstatedir}/cache/bweb
fi

%post gui-gconsole
# Update config
for STRING in HOSTNAME DIR_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/bgnome-console.conf
  fi
done

%post gui-monitor
# Update config
for STRING in HOSTNAME DIR_MON_PASS FD_MON_PASS SD_MON_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/tray-monitor.conf
  fi
done

%post gui-wxconsole
# Update config
for STRING in HOSTNAME DIR_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/bwx-console.conf
  fi
done

%post server-sqlite
%{_sbindir}/alternatives \
	--install %{_sbindir}/%{name}-dir %{name}         %{_sbindir}/%{name}-dir-sqlite 10 \
	--slave   %{_bindir}/dbcheck      %{name}-dbcheck %{_bindir}/dbcheck-sqlite         \
	--slave   %{_bindir}/bcopy        %{name}-bcopy   %{_bindir}/bcopy-sqlite           \
	--slave   %{_bindir}/bscan        %{name}-bscan   %{_bindir}/bscan-sqlite

# Update config
for STRING in HOSTNAME DIR_PASS FD_PASS SD_PASS DIR_MON_PASS SD_MON_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/%{name}-dir.conf
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/%{name}-sd.conf
  fi
done

/sbin/chkconfig --add %{name}-sd
/sbin/chkconfig --add %{name}-dir

%post server-mysql
%{_sbindir}/alternatives \
	--install %{_sbindir}/%{name}-dir %{name}         %{_sbindir}/%{name}-dir-mysql 10 \
	--slave   %{_bindir}/dbcheck      %{name}-dbcheck %{_bindir}/dbcheck-mysql         \
	--slave   %{_bindir}/bcopy        %{name}-bcopy   %{_bindir}/bcopy-mysql           \
	--slave   %{_bindir}/bscan        %{name}-bscan   %{_bindir}/bscan-mysql

# Update config
for STRING in HOSTNAME DIR_PASS FD_PASS SD_PASS DIR_MON_PASS SD_MON_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/%{name}-dir.conf
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/%{name}-sd.conf
  fi
done

/sbin/chkconfig --add %{name}-sd
/sbin/chkconfig --add %{name}-dir

%post server-postgresql
%{_sbindir}/alternatives \
	--install %{_sbindir}/%{name}-dir %{name}         %{_sbindir}/%{name}-dir-pgsql 10 \
	--slave   %{_bindir}/dbcheck      %{name}-dbcheck %{_bindir}/dbcheck-pgsql         \
	--slave   %{_bindir}/bcopy        %{name}-bcopy   %{_bindir}/bcopy-pgsql           \
	--slave   %{_bindir}/bscan        %{name}-bscan   %{_bindir}/bscan-pgsql

# Update config
for STRING in HOSTNAME DIR_PASS FD_PASS SD_PASS DIR_MON_PASS SD_MON_PASS; do
  REPLACE="`%{__grep} ${STRING} %{_sysconfdir}/%{name}/support.pkg 2>/dev/null | cut -d= -f2`"

  if [ -n "${REPLACE}" ]; then
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/%{name}-dir.conf
    sed -i -e "s:XXX_${STRING}_XXX:${REPLACE}:g" %{_sysconfdir}/%{name}/%{name}-sd.conf
  fi
done

/sbin/chkconfig --add %{name}-sd
/sbin/chkconfig --add %{name}-dir


%preun client
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name}-fd  stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}-fd
fi

%preun server-sqlite
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name}-sd  stop >/dev/null 2>&1
  /sbin/service %{name}-dir stop >/dev/null 2>&1

  /sbin/chkconfig --del %{name}-sd
  /sbin/chkconfig --del %{name}-dir

  %{_sbindir}/alternatives --remove %{name} %{_sbindir}/%{name}-dir-sqlite
fi

%preun server-mysql
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name}-sd  stop >/dev/null 2>&1
  /sbin/service %{name}-dir stop >/dev/null 2>&1

  /sbin/chkconfig --del %{name}-sd
  /sbin/chkconfig --del %{name}-dir

  %{_sbindir}/alternatives --remove %{name} %{_sbindir}/%{name}-dir-mysql
fi

%preun server-postgresql
if [ $1 -eq 0 ]; then	# Remove
  /sbin/service %{name}-sd  stop >/dev/null 2>&1
  /sbin/service %{name}-dir stop >/dev/null 2>&1

  /sbin/chkconfig --del %{name}-sd
  /sbin/chkconfig --del %{name}-dir

  %{_sbindir}/alternatives --remove %{name} %{_sbindir}/%{name}-dir-pgsql
fi


%postun client
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name}-fd  condrestart >/dev/null 2>&1 || :
fi

%postun server-sqlite
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name}-sd  condrestart >/dev/null 2>&1 || :
  /sbin/service %{name}-dir condrestart >/dev/null 2>&1 || :
fi

%postun server-mysql
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name}-sd  condrestart >/dev/null 2>&1 || :
  /sbin/service %{name}-dir condrestart >/dev/null 2>&1 || :
fi

%postun server-postgresql
if [ $1 -ge 1 ]; then	# Upgrade
  /sbin/service %{name}-sd  condrestart >/dev/null 2>&1 || :
  /sbin/service %{name}-dir condrestart >/dev/null 2>&1 || :
fi


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING COPYRIGHT ChangeLog INSTALL
%doc LICENSE README ReleaseNotes SUPPORT kernstodo projects
%doc technotes* unaccepted-projects scripts/*.vim
%attr(755,root,%{name}) %dir %{_sysconfdir}/%{name}
%attr(600,root,root) %ghost %{_sysconfdir}/%{name}/support.pkg
%attr(750,%{name},%{name}) %dir %{_sysconfdir}/%{name}/scripts
%{_sysconfdir}/%{name}/scripts/btraceback.dbx
%{_sysconfdir}/%{name}/scripts/btraceback.gdb
%{_sysconfdir}/%{name}/scripts/magic
%attr(755,root,%{name}) %{_bindir}/bsmtp
%attr(755,root,%{name}) %{_bindir}/bregex
%attr(755,root,%{name}) %config(noreplace) %{_bindir}/btraceback
%attr(755,root,%{name}) %{_bindir}/bwild
%attr(755,root,%{name}) %{_bindir}/test*
%attr(755,root,%{name}) %{_bindir}/*type
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/examples
%{_mandir}/man1/bsmtp.1*
%{_mandir}/man8/bacula.8*
%{_mandir}/man8/btraceback.8*
%attr(755,%{name},%{name}) %dir %{_localstatedir}/lib/%{name}

%files client
%defattr(-,root,root)
%{_initrddir}/bacula-fd
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-fd
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bacula-fd.conf
%attr(750,root,%{name}) %dir %{_sysconfdir}/%{name}/rescue
%config %{_sysconfdir}/%{name}/rescue/*
%attr(751,root,%{name}) %{_sbindir}/bacula-fd
%{_mandir}/man8/bacula-fd.8*

%files console
%defattr(-,root,root)
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bconsole.conf
%attr(751,root,%{name}) %{_bindir}/bconsole
%{_mandir}/man8/bconsole.8*

%files doc
%defattr(-,root,root)
%doc %{name}-docs-%{version}/manual/bacula/*

%files gui-bat
%defattr(-,root,root)
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bat.conf
%config(noreplace) %{_sysconfdir}/pam.d/bat
%{_sysconfdir}/security/console.apps/bat
%{_bindir}/bat
%attr(751,root,%{name}) %{_bindir}/bqt-console
%{_mandir}/man1/bat.1*
%config(noreplace) %{_datadir}/applications/bacula-bat.desktop
%{_datadir}/pixmaps/bat_icon.png

%files gui-bimagemgr
%defattr(-,root,root)
%doc %{name}-gui-%{version}/bimagemgr/{COPYING,ChangeLog,README,ReleaseNotes}
%{_sysconfdir}/%{name}/scripts/create_cdimage_table.pl
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bacula-bimagemgr.conf
%dir %{_datadir}/%{name}/bimagemgr
%dir %{_datadir}/%{name}/bimagemgr/cgi-bin
%{_datadir}/%{name}/bimagemgr/cgi-bin/bimagemgr.pl
%attr(640,root,apache) %config %{_datadir}/%{name}/bimagemgr/cgi-bin/config.pm
%dir %{_datadir}/%{name}/bimagemgr/html
%{_datadir}/%{name}/bimagemgr/html/*.gif
%attr(640,apache,apache) %{_datadir}/%{name}/bimagemgr/html/temp.html
%attr(750,apache,apache) %dir %{_localstatedir}/cache/bimagemgr
%attr(640,apache,apache) %verify(not md5 size mtime) %{_localstatedir}/cache/bimagemgr/temp.html

%files gui-bimagemgr-selinux
%defattr(-,root,root)

%files gui-brestore
%defattr(-,root,root)
%doc %{name}-gui-%{version}/brestore/{COPYING,INSTALL,README,ReleaseNotes}
%config(noreplace) %{_sysconfdir}/pam.d/brestore
%config(noreplace) %{_sysconfdir}/security/console.apps/brestore
%{_bindir}/brestore
%{_bindir}/brestore.pl
%config(noreplace) %{_datadir}/applications/bacula-restore.desktop
%{_datadir}/pixmaps/brestore.png
%{_datadir}/%{name}/brestore

%files gui-bweb
%defattr(-,root,root)
%doc %{name}-gui-%{version}/bweb/{COPYING,INSTALL,MANIFEST,ReleaseNotes}
%attr(640,apache,apache) %config(noreplace) %{_sysconfdir}/%{name}/bweb.conf
%{_sysconfdir}/%{name}/scripts/bweb-postgresql.sql
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bacula-bweb.conf
%{perl_vendorlib}/*
%{_datadir}/%{name}/bweb
%{_mandir}/man3/*.3*
%attr(750,apache,apache) %dir %{_localstatedir}/cache/bweb

%files gui-bweb-selinux
%defattr(-,root,root)

%files gui-gconsole
%defattr(-,root,root)
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bgnome-console.conf
%config(noreplace) %{_sysconfdir}/pam.d/bgconsole
%{_sysconfdir}/security/console.apps/bgconsole
%{_bindir}/bgconsole
%attr(751,root,%{name}) %{_bindir}/bgnome-console
%{_mandir}/man1/bacula-bgnome-console.1*
%config(noreplace) %{_datadir}/applications/bacula-gnome.desktop
%{_datadir}/pixmaps/%{name}.png

%files gui-monitor
%defattr(-,root,root)
%attr(644,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/tray-monitor.conf
%attr(755,root,%{name}) %{_bindir}/bacula-tray-monitor
%{_mandir}/man1/bacula-tray-monitor.1*
%{_datadir}/applications/bacula-tray-monitor.desktop
%{_datadir}/pixmaps/bacula-tray-monitor.xpm

%files gui-web
%defattr(-,root,root)
%doc %{name}-gui-%{version}/%{name}-web/{CONTACT,COPYING,ChangeLog,README,TODO}
%config(noreplace) %{_sysconfdir}/httpd/conf.d/bacula-web.conf
%config(noreplace) %{_datadir}/%{name}/bacula-web

%files gui-wxconsole
%defattr(-,root,root)
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bwx-console.conf
%config(noreplace) %{_sysconfdir}/pam.d/bwxconsole
%{_sysconfdir}/security/console.apps/bwxconsole
%{_bindir}/bwxconsole
%attr(751,root,%{name}) %{_bindir}/bwx-console
%{_mandir}/man1/bacula-bwxconsole.1*
%config(noreplace) %{_datadir}/applications/bacula-wxconsole.desktop
%{_datadir}/pixmaps/wxwin16x16.xpm

%files server-sqlite
%defattr(-,root,root)
%{_initrddir}/bacula-dir
%{_initrddir}/bacula-sd
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-dir
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-sd
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/log.d/scripts/services/%{name}
%{_sysconfdir}/log.d/conf/logfiles/bacula.conf
%{_sysconfdir}/log.d/conf/services/bacula.conf
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bacula-dir.conf
%attr(640,root,disk)    %config(noreplace) %{_sysconfdir}/%{name}/bacula-sd.conf
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_bacula_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_catalog_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_sqlite3_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/dvd-handler
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*-changer
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/query.sql
%attr(750,root,%{name}) %dir %{_sysconfdir}/%{name}/updatedb
%{_sysconfdir}/%{name}/updatedb/README
%{_sysconfdir}/%{name}/updatedb/update_sqlite3_*
%attr(751,root,%{name}) %{_bindir}/dbcheck-sqlite
%attr(751,root,%{name}) %{_bindir}/bcopy-sqlite
%attr(751,root,%{name}) %{_bindir}/bscan-sqlite
%attr(751,root,%{name}) %{_bindir}/bls
%attr(751,root,%{name}) %{_bindir}/bextract
%attr(751,root,%{name}) %{_bindir}/btape
%attr(751,root,%{name}) %{_sbindir}/bacula-dir-sqlite
%attr(751,root,disk)    %{_sbindir}/bacula-sd
%{_mandir}/man8/bacula-dir.8*
%{_mandir}/man8/bacula-sd.8*
%{_mandir}/man8/bcopy.8*
%{_mandir}/man8/bextract.8*
%{_mandir}/man8/bls.8*
%{_mandir}/man8/bscan.8*
%{_mandir}/man8/btape.8*
%{_mandir}/man8/dbcheck.8*
%attr(755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}

%files server-mysql
%defattr(-,root,root)
%{_initrddir}/bacula-dir
%{_initrddir}/bacula-sd
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-dir
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-sd
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/log.d/scripts/services/%{name}
%{_sysconfdir}/log.d/conf/logfiles/bacula.conf
%{_sysconfdir}/log.d/conf/services/bacula.conf
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bacula-dir.conf
%attr(640,root,disk)    %config(noreplace) %{_sysconfdir}/%{name}/bacula-sd.conf
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_bacula_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_catalog_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_mysql_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/dvd-handler
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*-changer
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/query.sql
%attr(750,root,%{name}) %dir %{_sysconfdir}/%{name}/updatedb
%{_sysconfdir}/%{name}/updatedb/README
%{_sysconfdir}/%{name}/updatedb/update_mysql_*
%attr(751,root,%{name}) %{_bindir}/dbcheck-mysql
%attr(751,root,%{name}) %{_bindir}/bcopy-mysql
%attr(751,root,%{name}) %{_bindir}/bscan-mysql
%attr(751,root,%{name}) %{_bindir}/bls
%attr(751,root,%{name}) %{_bindir}/bextract
%attr(751,root,%{name}) %{_bindir}/btape
%attr(751,root,%{name}) %{_sbindir}/bacula-dir-mysql
%attr(751,root,disk)    %{_sbindir}/bacula-sd
%{_mandir}/man8/bacula-dir.8*
%{_mandir}/man8/bacula-sd.8*
%{_mandir}/man8/bcopy.8*
%{_mandir}/man8/bextract.8*
%{_mandir}/man8/bls.8*
%{_mandir}/man8/bscan.8*
%{_mandir}/man8/btape.8*
%{_mandir}/man8/dbcheck.8*
%attr(755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}

%files server-postgresql
%defattr(-,root,root)
%{_initrddir}/bacula-dir
%{_initrddir}/bacula-sd
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-dir
%config(noreplace) %{_sysconfdir}/sysconfig/bacula-sd
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_sysconfdir}/log.d/scripts/services/%{name}
%{_sysconfdir}/log.d/conf/logfiles/bacula.conf
%{_sysconfdir}/log.d/conf/services/bacula.conf
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/bacula-dir.conf
%attr(640,root,disk)    %config(noreplace) %{_sysconfdir}/%{name}/bacula-sd.conf
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_bacula_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_catalog_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*_postgresql_*
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/dvd-handler
%attr(750,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/*-changer
%attr(640,root,%{name}) %config(noreplace) %{_sysconfdir}/%{name}/scripts/query.sql
%attr(750,root,%{name}) %dir %{_sysconfdir}/%{name}/updatedb
%{_sysconfdir}/%{name}/updatedb/README
%{_sysconfdir}/%{name}/updatedb/update_postgresql_*
%attr(751,root,%{name}) %{_bindir}/dbcheck-pgsql
%attr(751,root,%{name}) %{_bindir}/bcopy-pgsql
%attr(751,root,%{name}) %{_bindir}/bscan-pgsql
%attr(751,root,%{name}) %{_bindir}/bls
%attr(751,root,%{name}) %{_bindir}/bextract
%attr(751,root,%{name}) %{_bindir}/btape
%attr(751,root,%{name}) %{_sbindir}/bacula-dir-pgsql
%attr(751,root,disk)    %{_sbindir}/bacula-sd
%{_mandir}/man8/bacula-dir.8*
%{_mandir}/man8/bacula-sd.8*
%{_mandir}/man8/bcopy.8*
%{_mandir}/man8/bextract.8*
%{_mandir}/man8/bls.8*
%{_mandir}/man8/bscan.8*
%{_mandir}/man8/btape.8*
%{_mandir}/man8/dbcheck.8*
%attr(755,%{name},%{name}) %dir %{_localstatedir}/log/%{name}


%changelog
* Sat Mar 28 2009 Peter Pramberger <peterpramb@member.fsf.org> - 2.4.4-1
- New version (2.4.4)

* Mon Nov 03 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.4.3-2
- Added patch for bug #1175 (http://bugs.bacula.org/view.php?id=1175)
- Added patch: orphaned-jobs.patch

* Thu Oct 23 2008 Peter Pramberger <peterpramb@member.fsf.org> - 2.4.3-1
- Upgrade version (2.4.3)

* Sat Dec 08 2007 peter.pramberger@member.fsf.org 2.2.6-7
- new version (2.2.6)
- added package for bat

* Fri Oct 19 2007 peter.pramberger@member.fsf.org 2.2.5-6
- new version (2.2.5)

* Fri Jun 22 2007 peter.pramberger@member.fsf.org 2.0.3-5
- added selinux check for bimagemgr/bweb

* Fri Jun 01 2007 peter.pramberger@member.fsf.org 2.0.3-4
- created
